# Function createUpgradeContractInstruction

- createUpgradeContractInstruction(tokenBridgeProgramId, wormholeProgramId, payer, vaa, spill?): TransactionInstruction

- #### Parameters

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### vaa: VAA<"TokenBridge:UpgradeContract">

  - ##### `Optional` spill: PublicKeyInitData

  #### Returns TransactionInstruction

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/instructions/governance.ts:79

Generated using TypeDoc